<?php

namespace FiloBlu\DisableShopExtManaDevLayeredNavigation\Plugin\Manadev\LayeredNavigation\Blocks;

class Navigation {

    protected $_helper;

    public function __construct(
    \FiloBlu\DisableShop\Helper\Data $helper
    ) {
        $this->_helper = $helper;
    }

    public function aroundGetFilters(
    $subject, $proceed
    ) {

        $result = $proceed();

        foreach ($result as $filter) {
            if ($this->_helper->canHidePrice()) {
                if ($filter->getFilter()->getAttributeCode() != "price") {

                    yield $filter;
                }
            } else {
                yield $filter;
            }
        }
    }

}
